## ros-noetic-mavros 1.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  angles
  diagnostic_msgs
  diagnostic_updater
  eigen_conversions
  geographic_msgs
  geometry_msgs
  libmavconn
  mavros_msgs
  nav_msgs
  pluginlib
  rosconsole_bridge
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  tf2_eigen
  tf2_ros
  trajectory_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

## Find Eigen
find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

## Find GeographicLib
# Append to CMAKE_MODULE_PATH since debian/ubuntu installs
# FindGeographicLib.cmake in a nonstand location
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};/usr/share/cmake/geographiclib")
find_package(GeographicLib REQUIRED)

## Check if the datasets are installed
include(CheckGeographicLibDatasets)

include(EnableCXX11)
include(MavrosMavlink)

# detect if sensor_msgs has BatteryState.msg
# http://answers.ros.org/question/223769/how-to-check-that-message-exists-with-catkin-for-conditional-compilation-sensor_msgsbatterystate/
list(FIND sensor_msgs_MESSAGE_FILES "msg/BatteryState.msg" BATTERY_STATE_MSG_IDX)
if(${BATTERY_STATE_MSG_IDX} GREATER -1)
  add_definitions(
    -DHAVE_SENSOR_MSGS_BATTERYSTATE_MSG
  )
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mavros
  CATKIN_DEPENDS diagnostic_msgs diagnostic_updater eigen_conversions geographic_msgs geometry_msgs libmavconn mavros_msgs message_runtime nav_msgs pluginlib roscpp sensor_msgs std_msgs tf2_ros trajectory_msgs
  DEPENDS Boost EIGEN3 GeographicLib
)

###########
## Build ##
###########

include_directories(
  include
  SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${GeographicLib_INCLUDE_DIRS}
)

add_library(mavros
  src/lib/enum_sensor_orientation.cpp
  src/lib/enum_to_string.cpp
  src/lib/ftf_frame_conversions.cpp
  src/lib/ftf_quaternion_utils.cpp
  src/lib/mavlink_diag.cpp
  src/lib/mavros.cpp
  src/lib/rosconsole_bridge.cpp
  src/lib/uas_data.cpp
  src/lib/uas_stringify.cpp
  src/lib/uas_timesync.cpp
)
add_dependencies(mavros
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(mavros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${GeographicLib_LIBRARIES}
)
if(NOT APPLE)
  target_link_libraries(mavros
    atomic
  )
endif()

add_library(mavros_plugins
  src/plugins/3dr_radio.cpp
  src/plugins/actuator_control.cpp
  src/plugins/altitude.cpp
  src/plugins/command.cpp
  src/plugins/dummy.cpp
  src/plugins/ftp.cpp
  src/plugins/geofence.cpp
  src/plugins/global_position.cpp
  src/plugins/hil.cpp
  src/plugins/home_position.cpp
  src/plugins/imu.cpp
  src/plugins/local_position.cpp
  src/plugins/manual_control.cpp
  src/plugins/mission_protocol_base.cpp
  src/plugins/nav_controller_output.cpp
  src/plugins/param.cpp
  src/plugins/rallypoint.cpp
  src/plugins/rc_io.cpp
  src/plugins/safety_area.cpp
  src/plugins/setpoint_accel.cpp
  src/plugins/setpoint_attitude.cpp
  src/plugins/setpoint_position.cpp
  src/plugins/setpoint_raw.cpp
  src/plugins/setpoint_velocity.cpp
  src/plugins/setpoint_trajectory.cpp
  src/plugins/sys_status.cpp
  src/plugins/sys_time.cpp
  src/plugins/vfr_hud.cpp
  src/plugins/waypoint.cpp
  src/plugins/wind_estimation.cpp
)
add_dependencies(mavros_plugins
  mavros
)
target_link_libraries(mavros_plugins
  mavros
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(mavros_node
  src/mavros_node.cpp
)
add_dependencies(mavros_node
  mavros
)
target_link_libraries(mavros_node
  mavros
  ${catkin_LIBRARIES}
)

add_executable(gcs_bridge
  src/gcs_bridge.cpp
)
target_link_libraries(gcs_bridge
  mavros
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
catkin_install_python(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS gcs_bridge mavros mavros_node mavros_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(libmavros-frame-conversions-test test/test_frame_conversions.cpp)
  target_link_libraries(libmavros-frame-conversions-test mavros)

  catkin_add_gtest(libmavros-sensor-orientation-test test/test_sensor_orientation.cpp)
  target_link_libraries(libmavros-sensor-orientation-test mavros)

  catkin_add_gtest(libmavros-quaternion-utils-test test/test_quaternion_utils.cpp)
  target_link_libraries(libmavros-quaternion-utils-test mavros)
## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

endif()

# vim: ts=2 sw=2 et:

## ros-noetic-mavros 1.15.0

=== debian/changelog ===
ros-noetic-mavros (1.15.0-1buster) buster; urgency=high

  * Merge pull request #1806 <https://github.com/mavlink/mavros/issues/1806> from scoutdi/fix-some-warnings
    mavros: Fix some warnings
  * mavros: Fix some warnings
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-noetic-mavros (1.14.0-1buster) buster; urgency=high

  * scripts: waypoint and param files are text, not binary
    Fix #1784 <https://github.com/mavlink/mavros/issues/1784>
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * add cmake module path for geographiclib on debian based systems
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1743 <https://github.com/mavlink/mavros/issues/1743> from amilcarlucas/pr_apm_config
    apm_config.yaml: add mount configuration
  * apm_config.yaml: add mount configuration
  * Merge pull request #1732 <https://github.com/mavlink/mavros/issues/1732> from amilcarlucas/pr-meminfo-fix
    MEMINFO fixes
  * sys_status.cpp fix free memory for values > 64KiB
  * Merge pull request #1716 <https://github.com/mavlink/mavros/issues/1716> from amilcarlucas/avoid-harcoded-values
    sys_status.cpp: do not use harcoded constants
  * Merge pull request #1711 <https://github.com/mavlink/mavros/issues/1711> from amilcarlucas/diagnose-up-to-n-batteries
    Diagnose up-to 10 batteries
  * *_config.yaml: document usage of multiple batteries diagnostics
  * sys_status.cpp: fix compilation
  * sys_status.cpp: support diagnostics on up-to 10 batteries
    Uses as many battery monitors as the user specified in min_voltage parameter.
    Add myself as a contributor, this is not my first patch to this file
  * Merge pull request #1712 <https://github.com/mavlink/mavros/issues/1712> from amilcarlucas/fix-disabled-diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * sys_status.cpp: do not use harcoded constants
  * sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    Use atomic variable to prevent potential threading problems
  * sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * Merge pull request #1704 <https://github.com/mavlink/mavros/issues/1704> from amilcarlucas/correct-bat-voltages
    sys_status.cpp: Do not use battery1 voltage for all batteries.
  * sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    Support both cell and total voltages above 65V
    Support up-to 14S batteries
    If available, add cell voltage information to the battery diagnostic
  * Merge pull request #1707 <https://github.com/mavlink/mavros/issues/1707> from amilcarlucas/ignore-gimbal-sys-status
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
  * sys_status.cpp: ignore sys_status mavlink messages from gimbals
  * Merge pull request #1703 <https://github.com/mavlink/mavros/issues/1703> from amilcarlucas/remove-deprecated-battery2
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
  * sys_status.cpp: remove deprecated BATTERY2 mavlink message support
  * Merge pull request #1696 <https://github.com/mavlink/mavros/issues/1696> from okalachev/patch-2
    Disable startup_px4_usb_quirk in px4_config.yaml
  * Disable startup_px4_usb_quirk in px4_config.yaml
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Karthik Desai, Oleg Kalachev, Sanket Sharma, Vladimir Ermakov, acxz

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-noetic-mavros (1.13.0-1buster) buster; urgency=high

  * Merge pull request #1690 <https://github.com/mavlink/mavros/issues/1690> from mavlink/fix-enum_sensor_orientation
    Fix enum sensor_orientation
  * py-lib: fix compatibility with py3 for Noetic
  * test: add checks for ROTATION_CUSTOM
  * lib: Fix rotation search for CUSTOM
    Fix #1688 <https://github.com/mavlink/mavros/issues/1688>.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-noetic-mavros (1.12.2-1buster) buster; urgency=high

  * Merge pull request #1672 <https://github.com/mavlink/mavros/issues/1672> from okalachev/patch-1
    Set time/publish_sim_time to false by default
  * Set time/publish_sim_time to false by default
  * Merge pull request #1669 <https://github.com/mavlink/mavros/issues/1669> from Hs293Go/master
    plugin: setpoint_raw: move getParam to initializer
  * plugin: setpoint_raw: move getParam to initializer
    Repeatedly getting the thrust_scaling parameter in a callback that can
    be invoked from a fast control loop may fail spuriously and trigger a
    fatal error
  * Contributors: Oleg Kalachev, Vladimir Ermakov, hs293go

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 12 Dec 2021 00:00:00 -0000



=== debian/control ===
Source: ros-noetic-mavros
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographic-dev, libgtest-dev <!nocheck>, ros-noetic-angles, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-eigen-conversions, ros-noetic-geographic-msgs, ros-noetic-geometry-msgs, ros-noetic-libmavconn, ros-noetic-mavlink, ros-noetic-mavros-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-rosunit <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf2-eigen, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-noetic-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographic-dev, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-eigen-conversions, ros-noetic-geographic-msgs, ros-noetic-geometry-msgs, ros-noetic-libmavconn, ros-noetic-mavlink, ros-noetic-mavros-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf2-eigen, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs
Description: MAVROS -- MAVLink extendable communication node for ROS with proxy for Ground Control Station.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mavros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-mavros 1.17.0

=== debian/changelog ===
ros-noetic-mavros (1.17.0-1focal) focal; urgency=high

  * cog: regenerate all
  * Bugfix/update map origin with home position (#1892 <https://github.com/mavlink/mavros/issues/1892>)
    * Update map origin with home position
    * Uncrustify
    * Revert "Uncrustify"
    This reverts commit f1387c79c7670cc241986586436e3da43842e877.
    * Change to relative topic
    ---------
    Co-authored-by: Natalia Molina <mailto:molina-munoz@wingcopter.com>
  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros: Remove extra ';'
  * Suppress warnings from included headers
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov, natmol

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 09 Sep 2023 00:00:00 -0000

ros-noetic-mavros (1.16.0-1focal) focal; urgency=high

  * Merge pull request #1829 <https://github.com/mavlink/mavros/issues/1829> from snwu1996/latched_gp_origin_pub
    Made it such that the gp_origin topic publisher is latched.
  * made it such that the gp_origin topic published latched.
  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Shu-Nong Wu, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-noetic-mavros (1.15.0-1focal) focal; urgency=high

  * Merge pull request #1806 <https://github.com/mavlink/mavros/issues/1806> from scoutdi/fix-some-warnings
    mavros: Fix some warnings
  * mavros: Fix some warnings
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-noetic-mavros (1.14.0-1focal) focal; urgency=high

  * scripts: waypoint and param files are text, not binary
    Fix #1784 <https://github.com/mavlink/mavros/issues/1784>
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * add cmake module path for geographiclib on debian based systems
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1743 <https://github.com/mavlink/mavros/issues/1743> from amilcarlucas/pr_apm_config
    apm_config.yaml: add mount configuration
  * apm_config.yaml: add mount configuration
  * Merge pull request #1732 <https://github.com/mavlink/mavros/issues/1732> from amilcarlucas/pr-meminfo-fix
    MEMINFO fixes
  * sys_status.cpp fix free memory for values > 64KiB
  * Merge pull request #1716 <https://github.com/mavlink/mavros/issues/1716> from amilcarlucas/avoid-harcoded-values
    sys_status.cpp: do not use harcoded constants
  * Merge pull request #1711 <https://github.com/mavlink/mavros/issues/1711> from amilcarlucas/diagnose-up-to-n-batteries
    Diagnose up-to 10 batteries
  * *_config.yaml: document usage of multiple batteries diagnostics
  * sys_status.cpp: fix compilation
  * sys_status.cpp: support diagnostics on up-to 10 batteries
    Uses as many battery monitors as the user specified in min_voltage parameter.
    Add myself as a contributor, this is not my first patch to this file
  * Merge pull request #1712 <https://github.com/mavlink/mavros/issues/1712> from amilcarlucas/fix-disabled-diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * sys_status.cpp: do not use harcoded constants
  * sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    Use atomic variable to prevent potential threading problems
  * sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * Merge pull request #1704 <https://github.com/mavlink/mavros/issues/1704> from amilcarlucas/correct-bat-voltages
    sys_status.cpp: Do not use battery1 voltage for all batteries.
  * sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    Support both cell and total voltages above 65V
    Support up-to 14S batteries
    If available, add cell voltage information to the battery diagnostic
  * Merge pull request #1707 <https://github.com/mavlink/mavros/issues/1707> from amilcarlucas/ignore-gimbal-sys-status
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
  * sys_status.cpp: ignore sys_status mavlink messages from gimbals
  * Merge pull request #1703 <https://github.com/mavlink/mavros/issues/1703> from amilcarlucas/remove-deprecated-battery2
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
  * sys_status.cpp: remove deprecated BATTERY2 mavlink message support
  * Merge pull request #1696 <https://github.com/mavlink/mavros/issues/1696> from okalachev/patch-2
    Disable startup_px4_usb_quirk in px4_config.yaml
  * Disable startup_px4_usb_quirk in px4_config.yaml
